RagTime5TextInternal::BlockCellListParser Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5TextInternal::BlockCellListParser Struct Referencefinal

Internal: the helper to read a block 2 list. More...

Inheritance diagram for RagTime5TextInternal::BlockCellListParser:

## Public Member Functions
| BlockCellListParser ()
| constructor More...
| ~BlockCellListParser () final
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseData (MWAWInputStreamPtr &, long, RagTime5Zone &, int, libmwaw::DebugStream &)
| parse a data More...

## Public Attributes
std::vector< Block > | m_blockList
| the list of block More...

## Private Member Functions
| BlockCellListParser (BlockCellListParser &orig)=delete
| copy constructor, not implemented More...
BlockCellListParser & | operator= (BlockCellListParser &orig)=delete
| copy operator, not implemented More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a block 2 list.

## Constructor & Destructor Documentation

## ◆ BlockCellListParser() [1/2]

RagTime5TextInternal::BlockCellListParser::BlockCellListParser | ( |  | ) |
| inline

constructor

## ◆ ~BlockCellListParser()

RagTime5TextInternal::BlockCellListParser::~BlockCellListParser | ( |  | ) |
| final

destructor

## ◆ BlockCellListParser() [2/2]

RagTime5TextInternal::BlockCellListParser::BlockCellListParser | ( | BlockCellListParser & | orig | ) |
| privatedelete

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

BlockCellListParser & RagTime5TextInternal::BlockCellListParser::operator= | ( | BlockCellListParser & | orig | ) |
| privatedelete

copy operator, not implemented

## ◆ parseData()

bool RagTime5TextInternal::BlockCellListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_blockList

std::vector<Block> RagTime5TextInternal::BlockCellListParser::m_blockList

the list of block

Referenced by parseData(), and RagTime5Text::readTextCluster().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx